Bug 156247 - I18N - some labels not from bundle or not coming from bundle files
I18N - some labels not from bundle or not coming from bundle files
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: Customization
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Milan Kuchtiak
issues@webservices
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 22:16 UTC by Ken Frank
Modified: 2009-04-04 07:40 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2009-01-03 22:16:07 UTC
edit web services attributes window sections
using pseudo localized netbeans

1. wsimport section

a. word Value is in bundle file and pseudo localized but dont see it as coming from that file

(Value in the column of wsimport options or jaxb options)

b. add a new option - the default is seeded with words option and value - of course these
would be changed perhaps, but should they be in bundle file in any case ?


2. wsdl customization section

the words of each section like Global Customization, Port Type Operations, etc
have key names that have MNEM as last part of suffix --
but this pattern was for assignment of mnemonic key in old way of having seprate
key/value for label and separate for key itself assigned (vs having one key/value for label and mnemonic
iTITLE_PORTTYPES_MNEM=Port T&ypes
which is the correct way to do it now.

I am guessing that this area used to use the 2 key/value approach and when changing
it, kept the same keyname as previous key that assigned mnemonic itself -
but this might be confusing now to translators - could you remnove the MNEM from these key names
(and if any other fixes to this area resulted in such key names, could they be changed
also to remove the MNEM ?)

BUT not for the parts that still use the 2 key/value approach ie NOT from
org-netbeans-modules-websvc-customization/Bundle.properties.4:MNEMONIC_USE_DEFAULT=D
or from org-netbeans-modules-websvc-saas-services-strikeiron/Bundle.properties.4:MNE_Username=U
for example

that is, in a org-netbeans-modules-websvc-customization/Bundle.properties
file are both the & approach and the 2 key value approach (and only & approach should be used 
in all nb modules)
Comment 1 Milan Kuchtiak 2009-01-05 12:54:33 UTC
I agree this is confusing for localization. 
Comment 2 Milan Kuchtiak 2009-04-02 17:26:50 UTC
Fixed:
http://hg.netbeans.org/main?cmd=changeset;node=a1d269b34189
Comment 3 Quality Engineering 2009-04-04 07:40:54 UTC
Integrated into 'main-golden', will be available in build *200904040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a1d269b34189
User: mkuchtiak@netbeans.org
Log: #156247: I18N issue


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo